Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 58825 - CDL scripts should be able to require an appropriate version of libcdl
CDL scripts should be able to require an appropriate version of libcdl
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: CDL (Show other bugs)
CVS
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bart Veer
eCos bugs internal list
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 07:15 EST by Bart Veer
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:12:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bart Veer 2002-01-25 07:15:52 EST
Description of Problem:

A recent check-in of the USBS testing code depended on functionality added to
libcdl nine months ago, but there were still tools being used in the testfarm
predating those changes. The result was confusing error messages of the form:
 c:/TestFarm/tmp/current_20020124_0830/ecos-current/packages/io/usb/slave/current/cdl/usbs.cdl, option CYGBLD_IO_USB_SLAVE_USBTEST, property requires: error
    Unexpected character ',' in expression.
    {...B_SLAVE_TESTS}  ^,^ { " tests/usbtarget") 

Instead the CDL script should have been able to require a version of libcdl
which contained the appropriate functionality, so that a more informative error
message could be generated.

Version-Release number of selected component (if applicable):CVS

How Reproducible:Every time

Steps to Reproduce:
1. write a CDL script that uses functionality such as the is_substr() function
2. run this with old host-side tools which do not have this functionality
3. be confused by the resulting error messages

Actual Results:


Expected Results:


Additional Information:
Comment 1 Alex Schuilenburg 2003-06-20 12:12:10 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=58825

Note You need to log in before you can comment on or make changes to this bug.